## org.eclipse.emf.mapping.action
Class CreateMappingAction.DelegateCommand

    java.lang.Object
      org.eclipse.emf.common.command.AbstractCommand
          org.eclipse.emf.common.command.CommandWrapper
              org.eclipse.emf.mapping.action.CreateMappingAction.DelegateCommand

All Implemented Interfaces:
  Command, CommandActionDelegate

Enclosing class:
  CreateMappingAction

    public static class CreateMappingAction.DelegateCommand

extends CommandWrapper
implements CommandActionDelegate

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.common.command.AbstractCommand
`AbstractCommand.NonDirtying`

Field Summary
`protected java.util.Collection<?>` `collection`
`protected MappingDomain` `mappingDomain`

Fields inherited from class org.eclipse.emf.common.command.CommandWrapper
`command`

Fields inherited from class org.eclipse.emf.common.command.AbstractCommand
`description, isExecutable, isPrepared, label`

Constructor Summary
`CreateMappingAction.DelegateCommand(EditingDomain editingDomain, CommandParameter commandParameter)`

Method Summary
`java.lang.Object` `getImage()` This returns the icon, if any, of the action.
`java.lang.String` `getText()` This returns the menu text, if any, of the action.
`java.lang.String` `getToolTipText()` This returns the tool tip text, if any, of the action.

Methods inherited from class org.eclipse.emf.common.command.CommandWrapper
`canUndo, createCommand, dispose, execute, getAffectedObjects, getCommand, getDescription, getLabel, getResult, prepare, redo, toString, undo`

Methods inherited from class org.eclipse.emf.common.command.AbstractCommand
`canExecute, chain, setDescription, setLabel`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.edit.command.CommandActionDelegate
`canExecute, getDescription`

Field Detail

### mappingDomain

    protected MappingDomain mappingDomain

### collection

    protected java.util.Collection<?> collection

Constructor Detail

### CreateMappingAction.DelegateCommand

    public CreateMappingAction.DelegateCommand(EditingDomain editingDomain,
                                               CommandParameter commandParameter)

Method Detail

### getImage

    public java.lang.Object getImage()

  This returns the icon, if any, of the action.

  Specified by:
    `getImage` in interface `CommandActionDelegate`

### getText

    public java.lang.String getText()

  Description copied from interface: `CommandActionDelegate`
  This returns the menu text, if any, of the action.

  Specified by:
    `getText` in interface `CommandActionDelegate`

### getToolTipText

    public java.lang.String getToolTipText()

  This returns the tool tip text, if any, of the action.

  Specified by:
    `getToolTipText` in interface `CommandActionDelegate`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.